Wbemcli.WBEM_CONDITION_FLAG_TYPE (JNA API)
Description: declaration: package: com.sun.jna.platform.win32.COM, interface: Wbemcli, interface: WBEM_CONDITION_FLAG_TYPE

Package com.sun.jna.platform.win32.COM

# Interface Wbemcli.WBEM_CONDITION_FLAG_TYPE

Enclosing interface:
  Wbemcli

public static interface Wbemcli.WBEM_CONDITION_FLAG_TYPE

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `WBEM_FLAG_ALWAYS`
  `static final int`
  `WBEM_FLAG_CLASS_LOCAL_AND_OVERRIDES`
  `static final int`
  `WBEM_FLAG_CLASS_OVERRIDES_ONLY`
  `static final int`
  `WBEM_FLAG_KEYS_ONLY`
  `static final int`
  `WBEM_FLAG_LOCAL_ONLY`
  `static final int`
  `WBEM_FLAG_NONSYSTEM_ONLY`
  `static final int`
  `WBEM_FLAG_ONLY_IF_FALSE`
  `static final int`
  `WBEM_FLAG_ONLY_IF_IDENTICAL`
  `static final int`
  `WBEM_FLAG_ONLY_IF_TRUE`
  `static final int`
  `WBEM_FLAG_PROPAGATED_ONLY`
  `static final int`
  `WBEM_FLAG_REFS_ONLY`
  `static final int`
  `WBEM_FLAG_SYSTEM_ONLY`
  `static final int`
  `WBEM_MASK_CLASS_CONDITION`
  `static final int`
  `WBEM_MASK_CONDITION_ORIGIN`
  `static final int`
  `WBEM_MASK_PRIMARY_CONDITION`

- ## Field Details

  - ### WBEM_FLAG_ALWAYS

    static final int WBEM_FLAG_ALWAYS
    See Also:
      - Constant Field Values

  - ### WBEM_FLAG_ONLY_IF_TRUE

    static final int WBEM_FLAG_ONLY_IF_TRUE
    See Also:
      - Constant Field Values

  - ### WBEM_FLAG_ONLY_IF_FALSE

    static final int WBEM_FLAG_ONLY_IF_FALSE
    See Also:
      - Constant Field Values

  - ### WBEM_FLAG_ONLY_IF_IDENTICAL

    static final int WBEM_FLAG_ONLY_IF_IDENTICAL
    See Also:
      - Constant Field Values

  - ### WBEM_MASK_PRIMARY_CONDITION

    static final int WBEM_MASK_PRIMARY_CONDITION
    See Also:
      - Constant Field Values

  - ### WBEM_FLAG_KEYS_ONLY

    static final int WBEM_FLAG_KEYS_ONLY
    See Also:
      - Constant Field Values

  - ### WBEM_FLAG_REFS_ONLY

    static final int WBEM_FLAG_REFS_ONLY
    See Also:
      - Constant Field Values

  - ### WBEM_FLAG_LOCAL_ONLY

    static final int WBEM_FLAG_LOCAL_ONLY
    See Also:
      - Constant Field Values

  - ### WBEM_FLAG_PROPAGATED_ONLY

    static final int WBEM_FLAG_PROPAGATED_ONLY
    See Also:
      - Constant Field Values

  - ### WBEM_FLAG_SYSTEM_ONLY

    static final int WBEM_FLAG_SYSTEM_ONLY
    See Also:
      - Constant Field Values

  - ### WBEM_FLAG_NONSYSTEM_ONLY

    static final int WBEM_FLAG_NONSYSTEM_ONLY
    See Also:
      - Constant Field Values

  - ### WBEM_MASK_CONDITION_ORIGIN

    static final int WBEM_MASK_CONDITION_ORIGIN
    See Also:
      - Constant Field Values

  - ### WBEM_FLAG_CLASS_OVERRIDES_ONLY

    static final int WBEM_FLAG_CLASS_OVERRIDES_ONLY
    See Also:
      - Constant Field Values

  - ### WBEM_FLAG_CLASS_LOCAL_AND_OVERRIDES

    static final int WBEM_FLAG_CLASS_LOCAL_AND_OVERRIDES
    See Also:
      - Constant Field Values

  - ### WBEM_MASK_CLASS_CONDITION

    static final int WBEM_MASK_CLASS_CONDITION
    See Also:
      - Constant Field Values